# LANsApi

## LANsApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                         | HTTP request                                                  | Description            |
| ------------------------------------------------------------------------------ | ------------------------------------------------------------- | ---------------------- |
| [**datacenters\_lans\_delete**](#datacenters_lans_delete)                      | **DELETE** /datacenters/{datacenterId}/lans/{lanId}           | Delete LANs            |
| [**datacenters\_lans\_find\_by\_id**](#datacenters_lans_find_by_id)            | **GET** /datacenters/{datacenterId}/lans/{lanId}              | Retrieve LANs          |
| [**datacenters\_lans\_get**](#datacenters_lans_get)                            | **GET** /datacenters/{datacenterId}/lans                      | List LANs              |
| [**datacenters\_lans\_nics\_find\_by\_id**](#datacenters_lans_nics_find_by_id) | **GET** /datacenters/{datacenterId}/lans/{lanId}/nics/{nicId} | Retrieve attached NICs |
| [**datacenters\_lans\_nics\_get**](#datacenters_lans_nics_get)                 | **GET** /datacenters/{datacenterId}/lans/{lanId}/nics         | List LAN members       |
| [**datacenters\_lans\_nics\_post**](#datacenters_lans_nics_post)               | **POST** /datacenters/{datacenterId}/lans/{lanId}/nics        | Attach NICs            |
| [**datacenters\_lans\_patch**](#datacenters_lans_patch)                        | **PATCH** /datacenters/{datacenterId}/lans/{lanId}            | Partially modify LANs  |
| [**datacenters\_lans\_post**](#datacenters_lans_post)                          | **POST** /datacenters/{datacenterId}/lans                     | Create LANs            |
| [**datacenters\_lans\_put**](#datacenters_lans_put)                            | **PUT** /datacenters/{datacenterId}/lans/{lanId}              | Modify LANs            |

## **datacenters\_lans\_delete**

> datacenters\_lans\_delete(datacenter\_id, lan\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete LANs

Delete the specified LAN within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LANsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    lan_id = 'lan_id_example' # str | The unique ID of the LAN.
    try:
        # Delete LANs
        api_instance.datacenters_lans_delete(datacenter_id, lan_id)
    except ApiException as e:
        print('Exception when calling LANsApi.datacenters_lans_delete: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **lan\_id**             | **str**  | The unique ID of the LAN.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_lans\_find\_by\_id**

> Lan datacenters\_lans\_find\_by\_id(datacenter\_id, lan\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve LANs

Retrieve the properties of the specified LAN within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LANsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    lan_id = 'lan_id_example' # str | The unique ID of the LAN.
    try:
        # Retrieve LANs
        api_response = api_instance.datacenters_lans_find_by_id(datacenter_id, lan_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LANsApi.datacenters_lans_find_by_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **lan\_id**             | **str**  | The unique ID of the LAN.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Lan**](/python-sdk/models/lan.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_lans\_get**

> Lans datacenters\_lans\_get(datacenter\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number, offset=offset, limit=limit)

List LANs

List all LANs within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LANsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    try:
        # List LANs
        api_response = api_instance.datacenters_lans_get(datacenter_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LANsApi.datacenters_lans_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |
| **offset**              | **int**  | The first element (from the complete list of the elements) to include in the response (used together with \<b>\<i>limit\</i>\</b> for pagination).                                                                                                                                                                                                                                                                                       | \[optional] \[default to 0]    |
| **limit**               | **int**  | The maximum number of elements to return (use together with offset for pagination).                                                                                                                                                                                                                                                                                                                                                      | \[optional] \[default to 1000] |

#### Return type

[**Lans**](/python-sdk/models/lans.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_lans\_nics\_find\_by\_id**

> Nic datacenters\_lans\_nics\_find\_by\_id(datacenter\_id, lan\_id, nic\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Retrieve attached NICs

Retrieve the properties of the NIC, attached to the specified LAN.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LANsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    lan_id = 'lan_id_example' # str | The unique ID of the LAN.
    nic_id = 'nic_id_example' # str | The unique ID of the NIC.
    try:
        # Retrieve attached NICs
        api_response = api_instance.datacenters_lans_nics_find_by_id(datacenter_id, lan_id, nic_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LANsApi.datacenters_lans_nics_find_by_id: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **lan\_id**             | **str**  | The unique ID of the LAN.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **nic\_id**             | **str**  | The unique ID of the NIC.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Nic**](/python-sdk/models/nic.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_lans\_nics\_get**

> LanNics datacenters\_lans\_nics\_get(datacenter\_id, lan\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number, offset=offset, limit=limit)

List LAN members

List all NICs, attached to the specified LAN.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LANsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    lan_id = 'lan_id_example' # str | The unique ID of the LAN.
    try:
        # List LAN members
        api_response = api_instance.datacenters_lans_nics_get(datacenter_id, lan_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LANsApi.datacenters_lans_nics_get: %s\n' % e)
```

#### Parameters

| Name                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **lan\_id**             | **str**  | The unique ID of the LAN.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **pretty**              | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |
| **offset**              | **int**  | The first element (from the complete list of the elements) to include in the response (used together with \<b>\<i>limit\</i>\</b> for pagination).                                                                                                                                                                                                                                                                                       | \[optional] \[default to 0]    |
| **limit**               | **int**  | The maximum number of elements to return (use together with offset for pagination).                                                                                                                                                                                                                                                                                                                                                      | \[optional] \[default to 1000] |

#### Return type

[**LanNics**](/python-sdk/models/lannics.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_lans\_nics\_post**

> Nic datacenters\_lans\_nics\_post(datacenter\_id, lan\_id, nic, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Attach NICs

Attach an existing NIC to the specified LAN.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LANsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    lan_id = 'lan_id_example' # str | The unique ID of the LAN.
    nic = ionoscloud.Nic() # Nic | The NIC to be attached.
    try:
        # Attach NICs
        api_response = api_instance.datacenters_lans_nics_post(datacenter_id, lan_id, nic)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LANsApi.datacenters_lans_nics_post: %s\n' % e)
```

#### Parameters

| Name                    | Type                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**                              | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **lan\_id**             | **str**                              | The unique ID of the LAN.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **nic**                 | [**Nic**](/python-sdk/models/nic.md) | The NIC to be attached.                                                                                                                                                                                                                                                                                                                                                                                                                  |                                |
| **pretty**              | **bool**                             | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                              | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                              | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Nic**](/python-sdk/models/nic.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_lans\_patch**

> Lan datacenters\_lans\_patch(datacenter\_id, lan\_id, lan, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Partially modify LANs

Update the properties of the specified LAN within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LANsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    lan_id = 'lan_id_example' # str | The unique ID of the LAN.
    lan = ionoscloud.LanProperties() # LanProperties | The properties of the LAN to be updated.
    try:
        # Partially modify LANs
        api_response = api_instance.datacenters_lans_patch(datacenter_id, lan_id, lan)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LANsApi.datacenters_lans_patch: %s\n' % e)
```

#### Parameters

| Name                    | Type                                                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**                                                  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **lan\_id**             | **str**                                                  | The unique ID of the LAN.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **lan**                 | [**LanProperties**](/python-sdk/models/lanproperties.md) | The properties of the LAN to be updated.                                                                                                                                                                                                                                                                                                                                                                                                 |                                |
| **pretty**              | **bool**                                                 | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                                  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                                  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Lan**](/python-sdk/models/lan.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_lans\_post**

> LanPost datacenters\_lans\_post(datacenter\_id, lan, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create LANs

Creates a LAN within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LANsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    lan = ionoscloud.LanPost() # LanPost | The LAN to create.
    try:
        # Create LANs
        api_response = api_instance.datacenters_lans_post(datacenter_id, lan)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LANsApi.datacenters_lans_post: %s\n' % e)
```

#### Parameters

| Name                    | Type                                         | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | -------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**                                      | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **lan**                 | [**LanPost**](/python-sdk/models/lanpost.md) | The LAN to create.                                                                                                                                                                                                                                                                                                                                                                                                                       |                                |
| **pretty**              | **bool**                                     | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                                      | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                                      | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**LanPost**](/python-sdk/models/lanpost.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_lans\_put**

> Lan datacenters\_lans\_put(datacenter\_id, lan\_id, lan, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify LANs

Modify the properties of the specified LAN within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.LANsApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    lan_id = 'lan_id_example' # str | The unique ID of the LAN.
    lan = ionoscloud.Lan() # Lan | The modified LAN
    try:
        # Modify LANs
        api_response = api_instance.datacenters_lans_put(datacenter_id, lan_id, lan)
        print(api_response)
    except ApiException as e:
        print('Exception when calling LANsApi.datacenters_lans_put: %s\n' % e)
```

#### Parameters

| Name                    | Type                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------- | ------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**      | **str**                              | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **lan\_id**             | **str**                              | The unique ID of the LAN.                                                                                                                                                                                                                                                                                                                                                                                                                |                                |
| **lan**                 | [**Lan**](/python-sdk/models/lan.md) | The modified LAN                                                                                                                                                                                                                                                                                                                                                                                                                         |                                |
| **pretty**              | **bool**                             | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**               | **int**                              | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number** | **int**                              | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**Lan**](/python-sdk/models/lan.md)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/python-sdk/api/lansapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
